Skip to main content
PUT
/
submission
/
{displayId}
/
{transactionId}
/
vehicle
/
{vehicleId}
Update Vehicle
curl --request PUT \
  --url https://app.coverwhale.com/api/v1/submission/{displayId}/{transactionId}/vehicle/{vehicleId} \
  --header 'AccessToken: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vehicle_id_number": "<string>",
  "year": 2020,
  "make": "<string>",
  "model": "<string>",
  "class": "<string>",
  "value": 45000,
  "body_type": "<string>",
  "deductible": 123
}
'
{
  "status": "success",
  "vehicle_id": 123,
  "submission_number": "<string>",
  "transaction_id": 123,
  "updated_fields": [
    "<string>"
  ]
}

Authorizations

AccessToken
string
header
required

AWS Cognito access token obtained from the /authentication endpoint. Token expires after 3600 seconds.

Headers

AccessToken
string
required

Path Parameters

displayId
string
required
transactionId
integer
required
vehicleId
integer
required

Body

application/json
vehicle_id_number
string

VIN (10-17 chars)

year
integer
Example:

2020

make
string
model
string
class
string
value
integer
Example:

45000

body_type
string
deductible
integer

Response

Vehicle updated

status
string
Example:

"success"

vehicle_id
integer
submission_number
string
transaction_id
integer
updated_fields
string[]